Bug 255662 - java/openjdk11: Add armv6 / armv7 support
Summary: java/openjdk11: Add armv6 / armv7 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: freebsd-java (Nobody)
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2021-05-06 16:08 UTC by Mikael Urankar
Modified: 2021-05-18 16:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (java)
koobs: maintainer-feedback? (glewis)


Attachments
v0 (3.35 KB, patch)
2021-05-06 16:08 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2021-05-06 16:08:06 UTC
Created attachment 224730 [details]
v0

The bootstrap is on freefall: /home/mikael/bootstrap-openjdk11-arm-12-11.0.5.10.1.tar.xz
Comment 1 Greg Lewis freebsd_committer 2021-05-13 03:47:58 UTC
Thanks Mikael.  I've copied your bootstrap over into the same distribution directory where I've got the others.  In a few hours you should be able to test the bootstrap change to make sure it works.
Comment 2 commit-hook freebsd_committer 2021-05-18 16:00:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=362eb92da22191ba1aa95524f86a62afc9d92496

commit 362eb92da22191ba1aa95524f86a62afc9d92496
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-05-18 15:57:36 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-05-18 15:57:36 +0000

    java/openjdk11: Add armv6 / armv7 support

    PR:             255662
    Approved by:    portmgr (tier 2 blanket)

 java/bootstrap-openjdk11/Makefile |  8 ++++----
 java/bootstrap-openjdk11/distinfo |  2 ++
 java/openjdk11/Makefile           | 10 +++++-----
 3 files changed, 11 insertions(+), 9 deletions(-)